package com.jxml.quick.util.qjmlValidate;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCInterface extends OCMpeerSupportLite
{
	QMQJML qjml=null;

	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMInterface dm=(QMInterface)dataModel;

		// check for interface extension loops, and content
		HashMap is=new HashMap();
		is.put(dm.label,this);
		int s,i;
		s=dm.extensions.size();
		for (i=0;i<s;++i)
		{
			Object o=dm.extensions.get(i);
			if (!(o instanceof QMInterface))
				;
		}

		doCvt(dm.remList,this);
		doCvt(dm.targetClass,this);
		doCvt(dm.implementations,this);
	}
}
